Package org.opensaml.xmlsec.agreement

# Interface XMLExpressableKeyAgreementParameter

All Superinterfaces:
  `KeyAgreementParameter`

All Known Implementing Classes:
  `ConcatKDF`, `DigestMethod`, `KANonce`, `PBKDF2`

public interface XMLExpressableKeyAgreementParameter extends KeyAgreementParameter
A key agreement parameter which is capable of expressing its own `XMLObject` representation.

Such parameter representations are typically used in populating the `AgreementMethod` child of a `KeyInfo`.

## Method Summary

Modifier and Type
Method
Description
`XMLObject`
`buildXMLObject()`
Build an `XMLObject` instance representing this parameter.

## Method Details

### buildXMLObject

@Nonnull XMLObject buildXMLObject()
Build an `XMLObject` instance representing this parameter.

Returns:
  the XML object instance